View Issue Details

IDCategoryLast Update
0004841features2012-06-06 16:57
ReporteralextoneAssigned Tocth103 
ReproducibilityN/A 
Status resolvedResolutionfixed 
Product Version3.0-beta3 
Fixed in Version 
Summary0004841: Multiple note velocity function for MIDI
DescriptionThis request is for a new function specific to velocity settings across multiple MIDI notes.

Record 5 notes of varying velocities. Select them all, and with the new function (maybe a dialog) set a uniform velocity for all 5 notes.

Ideal for live MIDI recording where the notes are not recorded uniformly enough, and need adjusting. Doing it one by one is time consuming where a multiple note single function would be more efficient.
TagsNo tags attached.

Activities

paul

2012-06-04 16:55

administrator   ~0013375

as a side note, ctrl-uparrow or ctrl-downarrow (cmd- on OS X) on a region with selected MIDI notes will change all the notes at once and will allow "smushing" the velocity values together. without the modifier, this edit will not occur if one of the notes is already at the maximum or minimum value.

this isn't the feature you're looking for, but i just thought i'd mention it.

paul

2012-06-04 17:03

administrator   ~0013376

and actually, that modifier is "shift", not ctrl.

paul

2012-06-06 01:59

administrator   ~0013390

i've done the work for this but need to find a way to initiate it. modifiers are all taken ...

paul

2012-06-06 13:19

administrator   ~0013395

all implemented in rev 12583. selecting multiple notes and pressing "v" pops up a dialog that can be used to change the velocity of all selected notes.

in addition, using Ctrl-Mod4-(up|down)arrow will change the selected note velocities to the same value (unlike Ctrl-(up|down)arrow which will move them all by 1, up or down).

Issue History

Date Modified Username Field Change
2012-04-12 13:39 alextone New Issue
2012-04-13 11:46 cth103 cost => 0.00
2012-04-13 11:46 cth103 Target Version => 3.0
2012-06-03 21:06 cth103 Target Version 3.0 => 3.X
2012-06-04 16:55 paul Note Added: 0013375
2012-06-04 17:03 paul Note Added: 0013376
2012-06-06 01:59 paul Note Added: 0013390
2012-06-06 13:19 paul Note Added: 0013395
2012-06-06 16:57 cth103 Status new => resolved
2012-06-06 16:57 cth103 Resolution open => fixed
2012-06-06 16:57 cth103 Assigned To => cth103